<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.71
Name: [4] Dane aktywnego składnika leku recepturowego na recepcie
Description: Szablon CDA dla danych składnika leku recepturowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000">
   <title>[4] Dane aktywnego składnika leku recepturowego na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']"
         id="tmp-r-57ceb613-aa27-4442-baa8-b15fe505ea9e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71']/@nullFlavor)">(plCdaMagistralFormulaActiveIngredient): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71'])&lt;=1">(plCdaMagistralFormulaActiveIngredient): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:ingredient)&gt;=1 ">(plCdaMagistralFormulaActiveIngredient): element pharm:ingredient jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:ingredient)&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.71']"
         id="tmp-r-72c665ba-169f-46c0-96d4-a3608cecabdc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.71'">(plCdaMagistralFormulaActiveIngredient): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.71'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMagistralFormulaActiveIngredient): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:quantity
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:quantity"
         id="tmp-r-137ef426-1ba8-4a5f-b829-ca2adefb076d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:RTO_PQ_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient"
         id="tmp-r-d9776b04-57e9-4c80-982b-0d88612b4a33">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaMagistralFormulaActiveIngredient): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMagistralFormulaActiveIngredient): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="string(@classCode)='MMAT'">(plCdaMagistralFormulaActiveIngredient): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMagistralFormulaActiveIngredient): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="not(./*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'][@codeSystem='2.16.840.1.113883.3.4424.6.3'] | self::pharm:code[@codeSystem='1.3.160'][@codeSystem='1.3.160'] | self::pharm:code[@codeSystem='2.16.840.1.113883.6.73.5'][@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5'] | self::pharm:code[@nullFlavor='NA'][@nullFlavor='NA'] | self::pharm:name | self::pharm:desc)])">(plCdaMagistralFormulaActiveIngredient): We fragmencie dokumentu zgodnym z szablonem "[4] Dane aktywnego składnika leku recepturowego na recepcie" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']|pharm:code[@codeSystem='1.3.160']|pharm:code[@codeSystem='2.16.840.1.113883.6.73.5']|pharm:code[@nullFlavor='NA'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaMagistralFormulaActiveIngredient): wybór (pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub pharm:code[@codeSystem='1.3.160'] lub pharm:code[@codeSystem='2.16.840.1.113883.6.73.5'] lub pharm:code[@nullFlavor='NA']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plCdaMagistralFormulaActiveIngredient): wybór (pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub pharm:code[@codeSystem='1.3.160'] lub pharm:code[@codeSystem='2.16.840.1.113883.6.73.5'] lub pharm:code[@nullFlavor='NA']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'])&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:code[@codeSystem='1.3.160'])&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:code[@codeSystem='2.16.840.1.113883.6.73.5'])&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:code[@codeSystem='2.16.840.1.113883.6.73.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:code[@nullFlavor='NA'])&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:code[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:name)&gt;=1 ">(plCdaMagistralFormulaActiveIngredient): element pharm:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:name)&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="count(pharm:desc)&lt;=1">(plCdaMagistralFormulaActiveIngredient): element pharm:desc występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']"
         id="tmp-r-8643c949-51f4-47f0-85d8-81c56866a4e5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.3')">(plCdaMagistralFormulaActiveIngredient): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='1.3.160']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='1.3.160']"
         id="tmp-r-4655d360-af24-4d04-bb35-5e876f273ef1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160')">(plCdaMagistralFormulaActiveIngredient): Wartość elementu MUSI wynosić codeSystem '1.3.160'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73.5']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73.5']"
         id="tmp-r-5ad193ee-dab5-4f92-a3d6-277853311ab4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5')">(plCdaMagistralFormulaActiveIngredient): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.73.5' codeSystemName='whoATCLevel5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@nullFlavor='NA']
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:code[@nullFlavor='NA']"
         id="tmp-r-a62a2fa4-5264-4197-b9b1-af66d4a4d657">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plCdaMagistralFormulaActiveIngredient): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:name
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:name"
         id="tmp-r-18c49593-bf2e-4195-9abe-24ab3785fe3e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.71
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:desc
Item: (plCdaMagistralFormulaActiveIngredient)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.71']/pharm:ingredient/pharm:desc"
         id="tmp-r-523e0511-f6d4-49f0-afde-8fb662c283bd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMagistralFormulaActiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
